Page MenuHomePhabricator

Configure citoid to use outbound proxy
Closed, ResolvedPublic

Description

Due to the private IP in use in production, citoid needs to use an outbound proxy to access the Internet

Event Timeline

akosiaris updated the task description. (Show Details)
akosiaris raised the priority of this task from to Needs Triage.
akosiaris added a project: acl*sre-team.
akosiaris added subscribers: akosiaris, Aklapper.

@Mvolz Does Citoid access the internet at all? I thought only Zotero did? Cause that task is T89874

ArielGlenn triaged this task as High priority.Feb 26 2015, 8:15 AM
ArielGlenn set Security to None.
Mvolz added a comment.Mar 5 2015, 6:13 PM

Yes, the native scraper makes outbound requests. Zotero only scrapes a limited set of websites (it matches the urls by regex). If the URL doesn't match any of these, we scrape it in-house.

We also augment Zotero requests with PMIDs if they have one available, another outbound request.

Change 195896 had a related patch set uploaded (by Mobrovac):
Puppetise Citoid's configuration

https://gerrit.wikimedia.org/r/195896

Change 195896 merged by Alexandros Kosiaris:
Puppetise Citoid's configuration

https://gerrit.wikimedia.org/r/195896

mobrovac closed this task as Resolved.Mar 12 2015, 7:16 PM